> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paycards

> Retrieve paycards for a company, optionally filtered by employee, contractor, paycard ID, or date range.



## OpenAPI

````yaml openapi/zeal-api.json get /paycards
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /paycards:
    get:
      summary: Get Paycards
      operationId: get-paycard
      parameters:
        - name: companyID
          in: query
          description: Zeal company ID
          required: true
          schema:
            type: string
        - name: employeeID
          in: query
          description: Zeal employee ID
          schema:
            type: string
        - name: contractorID
          in: query
          description: Zeal contractor ID
          schema:
            type: string
        - name: paycardID
          in: query
          description: Paycard ID
          schema:
            type: string
        - name: start_at
          in: query
          schema:
            type: string
        - name: end_at
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            format: int32
            default: 25
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - paycardID: f15b00a4bce0e60d52bf0f0a
                        companyID: bf015b00e052f60cfb0e4a0d
                        employeeID: d210f054bf5b006f50aecbe0
                        contractorID: null
                        status: active
                        card_type: virtual
                    meta:
                      next: >-
                        https://api.zeal.com/paycard?start_at=f15b00a4bce0e60d52bf0f1a
                      previous: null
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Contractor Payment with this payment ID does not exist
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Contractor Payment with this payment ID does not
                            exist
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````